Send Broadcast

Send a broadcast immediately or schedule it for a future time. Only broadcasts in draft status can be sent.

POST/broadcasts/{broadcast_id}/send

Requires a full_access API key.

Path Parameters

broadcast_idstringrequired

The broadcast ID (UUID).

Body Parameters

scheduled_atstring

Schedule the broadcast to be sent later. Accepts ISO 8601 format (e.g. "2024-08-05T11:52:01.858Z") or natural language (e.g. "in 1 hour"). Must be within 30 days from now.

If omitted, the broadcast is queued for immediate delivery.

Response Fields

idstring

The broadcast ID.

curl -X POST 'https://api.postflare.app/broadcasts/d4e5f6a7-b8c9-0123-defa-234567890123/send' \
  -H 'Authorization: Bearer re_xxxxxxxxx' \
  -H 'Content-Type: application/json' \
  -d '{}'
const response = await fetch(
  'https://api.postflare.app/broadcasts/d4e5f6a7-b8c9-0123-defa-234567890123/send',
  {
    method: 'POST',
    headers: {
      'Authorization': 'Bearer re_xxxxxxxxx',
      'Content-Type': 'application/json',
    },
    body: JSON.stringify({}),
  }
);

const data = await response.json();

Response

Response
{
  "id": "d4e5f6a7-b8c9-0123-defa-234567890123"
}